#
# install of HRU-DELIN batch version
#

echo '-------------------------------'
echo 'Starting HRU-DELIN installation'
echo '-------------------------------'
#
echo '-------------------------------'
echo '     installing PYTHON-GDAL    '
echo '-------------------------------'
apt-get install python-gdal
echo '-------------------------------'
echo '     installing GRASS          '
echo '-------------------------------'
apt-get install grass
echo '-------------------------------'
echo '     installing java JRE       '
echo '-------------------------------'
apt-get install default-jre
echo '-----------------------------------------------'
echo '    copying java modules --> /usr/share/java   '
echo '-----------------------------------------------'
if [ ! -d /usr/share/java ]
    then 
        mkdir /usr/share/java
fi

if [ ! -d /usr/share/java/lib ] 
then
    mkdir /usr/share/java/lib
fi
cp -r java_modules/jdbf.jar /usr/share/java/lib/
cp java_modules/Zirkelkill*.jar /usr/share/java/
chmod 544 /usr/share/java/Zirkelkill*.jar

if [ $? != 0 ]
then    echo
        echo "  Pb with /usr/share/java directory "
  	    echo " ------------------------------------ "
	    echo " ---- QUIT without installation ----- "
        echo " ------------------------------------ "
        exit 97
fi
echo "OK"
echo

echo '-----------------------------------------------------------'
echo ' copying r.reach.par module --> /usr/lib/grass64/scripts   '
echo '-----------------------------------------------------------'

cp reachpar_module/r.reach.par* /usr/lib/grass64/scripts/
chmod 755 /usr/lib/grass64/scripts/r.reach.par

echo '-------------------------'
echo '    copying hru-delin    '
echo '-------------------------'
echo
echo

hrudir=$HOME"/hru-delin"
echo "    hru-delin directory will be created under $HOME"
echo
echo "             or specify another directory "
read newdir

if [ "$newdir" != "" ];
hrudir=$HOME"/$newdir"
then
	if [ ! -d $hrudir ];
	then
	    echo
		echo " $hrudir does not exists, do you want to create it? y|n "
		read resp
		if [ "$resp" != "y" ];
		then
		    echo
		    echo " ------------------------------------ "
		    echo " ---- QUIT without installation ----- "
    	    echo " ------------------------------------ "
			exit 99
		else
			mkdir $hrudir
			echo " $hrudir  created  "
			echo
		fi
    fi
fi

echo "    ==================================== $hrudir"

cp -r hru-delin $hrudir
chmod 755 $hrudir/hru-delin/work/hru-delin_step*.sh
chown -R $SUDO_USER $hrudir
chgrp -R $SUDO_GID $hrudir

if [ $? != 0 ]
        then    echo "  Pb while creating hru-delin environment "
                echo " ------------------------------------ "
		        echo " ---- QUIT without installation ----- "
    	        echo " ------------------------------------ "
                exit 98
fi
echo
echo "    hru-delin installed under $hrudir"
echo
echo
echo "-------------------------------"
echo "End of HRU-DELIN installation  "
echo "-------------------------------"
exit 0
